use std::io;
use std::net::{SocketAddr, UdpSocket};
use std::thread::sleep;
use std::time::Duration;

fn main() -> io::Result<()> {
    let bind_addr = SocketAddr::from(([127, 0, 0, 1], 4432));
    let server_addr = SocketAddr::from(([127, 0, 0, 1], 4433));

    let socket = UdpSocket::bind(bind_addr)?;
    socket.connect(server_addr)?;

    let mut buffer: [u8; 128] = [0; 128];
    for i in 1..10 {
        for j in 1..128 {
            buffer[j] = j as u8;
        }

        socket.send(&buffer)?;
        println!("{}", i);
        sleep(Duration::from_millis(1000));
    }

    Ok(())
}
