use std::io;
use std::net::{SocketAddr, TcpStream};

use crate::tcp_server::TcpServer;

mod epoll;
mod tcp_server;

#[derive(Debug)]
pub struct RequestContext {
    pub stream: TcpStream,
    pub content_length: usize,
    pub buf: Vec<u8>,
}

impl RequestContext {
    fn new(stream: TcpStream) -> Self {
        Self {
            stream,
            buf: Vec::new(),
            content_length: 0,
        }
    }
}

fn main() -> io::Result<()> {
    let addr = SocketAddr::from(([127, 0, 0, 1], 4433));
    let mut server = TcpServer::new(addr)?;

    server.listen()?;

    Ok(())
}
